<?xml version="1.0" encoding="utf-8"?>
<androidx.drawerlayout.widget.DrawerLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/drawer_layout"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="#E43521"
            android:orientation="vertical">

            <View
                android:id="@+id/view"
                android:layout_width="match_parent"
                android:layout_height="0dp" />

            <LinearLayout
                android:id="@+id/topLayout"
                android:layout_width="match_parent"
                android:layout_height="56dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <LinearLayout
                    android:id="@+id/sidebarBtn"
                    android:layout_width="44dp"
                    android:layout_height="44dp"
                    android:layout_marginStart="6dp"
                    android:background="@drawable/dr_click_effect_oval_transparent"
                    android:gravity="center"
                    android:visibility="visible">

                    <ImageView
                        android:layout_width="24dp"
                        android:layout_height="24dp"
                        android:src="@drawable/icon_sidebar" />
                </LinearLayout>


                <TextView
                    style="@style/TextViewFont_PopSemiBold"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="6dp"
                    android:layout_marginEnd="6dp"
                    android:layout_weight="1"
                    android:text="@string/app_name"
                    android:textColor="@color/white"
                    android:textSize="18sp" />

                <LinearLayout
                    android:id="@+id/topButtonLayout"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:id="@+id/searchBtn"
                        android:layout_width="44dp"
                        android:layout_height="44dp"
                        android:background="@drawable/dr_click_effect_oval_transparent"
                        android:gravity="center">

                        <ImageView
                            android:layout_width="24dp"
                            android:layout_height="24dp"
                            android:src="@drawable/icon_search" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/multiSelectBtn"
                        android:layout_width="44dp"
                        android:layout_height="44dp"
                        android:layout_marginEnd="6dp"
                        android:background="@drawable/dr_click_effect_oval_transparent"
                        android:gravity="center">

                        <ImageView
                            android:layout_width="24dp"
                            android:layout_height="24dp"
                            android:src="@drawable/icon_multi_select" />
                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:id="@+id/multiSelectTopLayout"
                android:layout_width="match_parent"
                android:layout_height="56dp"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:visibility="visible">

                <LinearLayout
                    android:id="@+id/multiSelectBackBtn"
                    android:layout_width="44dp"
                    android:layout_height="44dp"
                    android:layout_marginStart="6dp"
                    android:background="@drawable/dr_click_effect_oval_transparent"
                    android:gravity="center">

                    <ImageView
                        android:layout_width="24dp"
                        android:layout_height="24dp"
                        android:src="@drawable/back_white" />
                </LinearLayout>


                <TextView
                    android:id="@+id/multiSelectNumberTv"
                    style="@style/TextViewFont_PopMedium"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="6dp"
                    android:layout_marginEnd="6dp"
                    android:layout_weight="1"
                    android:text="@string/selected_page"
                    android:textColor="@color/white"
                    android:textSize="18sp" />

                <LinearLayout
                    android:id="@+id/multiSelectAllBtn"
                    android:layout_width="44dp"
                    android:layout_height="44dp"
                    android:layout_marginEnd="6dp"
                    android:gravity="center">

                    <ImageView
                        android:layout_width="24dp"
                        android:layout_height="24dp"
                        android:src="@drawable/icon_select_all" />

                </LinearLayout>
            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginTop="24dp"
                android:background="@drawable/dr_top_left_radius_white_bg"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <FrameLayout
                        android:id="@+id/fragment_fl"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/tab_layout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="bottom"
                    android:orientation="vertical">

                    <LinearLayout
                        android:id="@+id/pnLayout"
                        android:layout_width="match_parent"
                        android:layout_height="64dp"
                        android:background="@drawable/dr_rounded_corner_top_bg_grey"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        android:paddingStart="16dp"
                        android:paddingEnd="16dp"
                        android:visibility="visible">

                        <ImageView
                            android:layout_width="24dp"
                            android:layout_height="24dp"
                            android:src="@drawable/icon_notice" />

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_marginStart="16dp"
                            android:layout_marginEnd="16dp"
                            android:layout_weight="1"
                            android:gravity="center_vertical"
                            android:orientation="vertical">

                            <TextView
                                style="@style/TextViewFont_PopMedium"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/notice"
                                android:textColor="@color/black"
                                android:textSize="14sp" />

                            <TextView
                                style="@style/TextViewFont_PopRegular"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:ellipsize="end"
                                android:maxLines="2"
                                android:text="@string/permission_notice"
                                android:textColor="@color/black_60"
                                android:textSize="12sp" />

                        </LinearLayout>

                        <LinearLayout
                            android:id="@+id/pnGoBtn"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:gravity="center">

                            <TextView
                                style="@style/TextViewFont_PopSemiBold"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:background="@drawable/dr_click_btn_bg"
                                android:paddingStart="24dp"
                                android:paddingTop="4dp"
                                android:paddingEnd="24dp"
                                android:paddingBottom="4dp"
                                android:text="@string/go"
                                android:textColor="@color/white"
                                android:textSize="14sp" />
                        </LinearLayout>
                    </LinearLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0.5dp"
                        android:background="@color/line_color" />

                    <LinearLayout
                        android:id="@+id/navigationLayout"
                        android:layout_width="match_parent"
                        android:layout_height="64dp"
                        android:background="@color/white"
                        android:orientation="horizontal">

                        <LinearLayout
                            android:id="@+id/home_ll_btn"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@drawable/dr_click_effect_rectangle_transparent"
                            android:gravity="center"
                            android:orientation="vertical">

                            <ImageView
                                android:id="@+id/home_iv"
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:src="@drawable/icon_home_sel_on" />

                            <TextView
                                android:id="@+id/home_tv"
                                style="@style/TextViewFont_PopMedium"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/home"
                                android:textColor="@color/black"
                                android:textSize="12sp" />
                        </LinearLayout>

                        <LinearLayout
                            android:id="@+id/recently_ll_btn"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@drawable/dr_click_effect_rectangle_transparent"
                            android:gravity="center"
                            android:orientation="vertical">

                            <ImageView
                                android:id="@+id/recently_iv"
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:src="@drawable/icon_recently_sel_off" />

                            <TextView
                                android:id="@+id/recently_tv"
                                style="@style/TextViewFont_PopMedium"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/recently"
                                android:textColor="@color/black"
                                android:textSize="12sp" />
                        </LinearLayout>

                        <LinearLayout
                            android:id="@+id/favorite_ll_btn"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@drawable/dr_click_effect_rectangle_transparent"
                            android:gravity="center"
                            android:orientation="vertical">

                            <ImageView
                                android:id="@+id/favorite_iv"
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:src="@drawable/collect" />

                            <TextView
                                android:id="@+id/favorite_tv"
                                style="@style/TextViewFont_PopMedium"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/favorite"
                                android:textColor="@color/black"
                                android:textSize="12sp" />
                        </LinearLayout>

                        <LinearLayout
                            android:id="@+id/tools_layout_btn"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@drawable/dr_click_effect_rectangle_transparent"
                            android:gravity="center"
                            android:orientation="vertical">

                            <ImageView
                                android:id="@+id/tools_iv"
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:src="@drawable/icon_tools_sel_off" />

                            <TextView
                                android:id="@+id/tools_tv"
                                style="@style/TextViewFont_PopMedium"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/tools"
                                android:textColor="@color/black"
                                android:textSize="12sp" />
                        </LinearLayout>

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/multiSelectBottomLayout"
                        android:layout_width="match_parent"
                        android:layout_height="64dp"
                        android:background="@color/white"
                        android:orientation="horizontal"
                        android:visibility="visible">

                        <LinearLayout
                            android:id="@+id/multiSelectDeleteBtn"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@drawable/dr_click_effect_rectangle_transparent"
                            android:gravity="center"
                            android:orientation="vertical">

                            <ImageView
                                android:id="@+id/multiSelectDeleteIv"
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:src="@drawable/icon_delete_sel_on" />

                            <TextView
                                android:id="@+id/multiSelectDeleteTv"
                                style="@style/TextViewFont_PopMedium"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/delete"
                                android:textColor="@color/black"
                                android:textSize="12sp" />
                        </LinearLayout>

                        <LinearLayout
                            android:id="@+id/multiSelectRemoveBtn"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@drawable/dr_click_effect_rectangle_transparent"
                            android:gravity="center"
                            android:orientation="vertical">

                            <ImageView
                                android:id="@+id/multiSelectRemoveIv"
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:src="@drawable/icon_remove_sel_on" />

                            <TextView
                                android:id="@+id/multiSelectRemoveTv"
                                style="@style/TextViewFont_PopMedium"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/remove"
                                android:textColor="@color/black"
                                android:textSize="12sp" />
                        </LinearLayout>

                        <LinearLayout
                            android:id="@+id/multiSelectUnFavoriteBtn"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@drawable/dr_click_effect_rectangle_transparent"
                            android:gravity="center"
                            android:orientation="vertical">

                            <ImageView
                                android:id="@+id/multiSelectUnFavoriteIv"
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:src="@drawable/icon_un_favorite_sel_on" />

                            <TextView
                                android:id="@+id/multiSelectUnFavoriteTv"
                                style="@style/TextViewFont_PopMedium"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/un_favorite"
                                android:textColor="@color/black"
                                android:textSize="12sp" />
                        </LinearLayout>

                        <LinearLayout
                            android:id="@+id/multiSelectMergeBtn"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@drawable/dr_click_effect_rectangle_transparent"
                            android:gravity="center"
                            android:orientation="vertical">

                            <ImageView
                                android:id="@+id/multiSelectMergeIv"
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:src="@drawable/icon_merge_sel_off" />

                            <TextView
                                android:id="@+id/multiSelectMergeTv"
                                style="@style/TextViewFont_PopMedium"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/merge"
                                android:textColor="@color/icon_sel_off_color"
                                android:textSize="12sp" />
                        </LinearLayout>
                    </LinearLayout>

                    <FrameLayout
                        android:id="@+id/bannerAdFl"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />

                    <LinearLayout
                        android:id="@+id/rootBottomLayout"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>

    </FrameLayout>

    <!-- android:layout_gravity="start" -->
    <LinearLayout
        android:id="@+id/drawerView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="start"
        android:background="#E43521"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="48dp"
            android:layout_marginBottom="16dp"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <ImageView
                android:layout_width="54dp"
                android:layout_height="54dp"
                android:layout_marginStart="16dp"
                android:src="@mipmap/ic_launcher" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="16dp"
                android:gravity="center_vertical"
                android:orientation="vertical">

                <TextView
                    style="@style/TextViewFont_PopSemiBold"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/app_name"
                    android:textColor="@color/white"
                    android:textSize="18sp" />

                <TextView
                    style="@style/TextViewFont_PopMedium"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="4dp"
                    android:text="@string/side_layout_app_des"
                    android:textColor="@color/white"
                    android:textSize="12sp" />

            </LinearLayout>
        </LinearLayout>

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@drawable/dr_rc_top_20_bg_white">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="16dp"
                android:orientation="vertical">

                <LinearLayout
                    android:id="@+id/faqBtn"
                    android:layout_width="match_parent"
                    android:layout_height="56dp"
                    android:background="@drawable/dr_rounded_corner_12_bg_white"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="24dp"
                        android:layout_height="24dp"
                        android:src="@drawable/icon_faq" />

                    <TextView
                        style="@style/TextViewFont_PopMedium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="16dp"
                        android:text="@string/faq"
                        android:textColor="@color/text_color_lv1"
                        android:textSize="14sp" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/screenOnBtn"
                    android:layout_width="match_parent"
                    android:layout_height="56dp"
                    android:background="@drawable/dr_rounded_corner_12_bg_white"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="24dp"
                        android:layout_height="24dp"
                        android:src="@drawable/icon_screen_on" />

                    <TextView
                        style="@style/TextViewFont_PopMedium"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="16dp"
                        android:layout_weight="1"
                        android:text="@string/keep_screen_on"
                        android:textColor="@color/text_color_lv1"
                        android:textSize="14sp" />

                    <com.all.pdfreader.pdf.reader.ui.view.CustomSwitchButton
                        android:id="@+id/switchScreenOn"
                        android:layout_width="wrap_content"
                        android:layout_height="32dp"
                        app:sb_background="@color/line_color"
                        app:sb_checked_color="@color/icon_on"
                        app:sb_show_indicator="false" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/shareAppBtn"
                    android:layout_width="match_parent"
                    android:layout_height="56dp"
                    android:background="@drawable/dr_rounded_corner_12_bg_white"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="24dp"
                        android:layout_height="24dp"
                        android:src="@drawable/share" />

                    <TextView
                        style="@style/TextViewFont_PopMedium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="16dp"
                        android:text="@string/share_app"
                        android:textColor="@color/text_color_lv1"
                        android:textSize="14sp" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/privacyPolicyBtn"
                    android:layout_width="match_parent"
                    android:layout_height="56dp"
                    android:background="@drawable/dr_rounded_corner_12_bg_white"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="24dp"
                        android:layout_height="24dp"
                        android:src="@drawable/icon_privacy_policy" />

                    <TextView
                        style="@style/TextViewFont_PopMedium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="16dp"
                        android:text="@string/privacy_policy"
                        android:textColor="@color/text_color_lv1"
                        android:textSize="14sp" />
                </LinearLayout>
            </LinearLayout>

        </ScrollView>


    </LinearLayout>
</androidx.drawerlayout.widget.DrawerLayout>